// Exception.cs
using System;

namespace TtLisp {
  public class LispException : Exception {}
  public class SymbolUnboundException : LispException {}
  public class ConstYetDefinedException : LispException {}
  public class ConstCanNotUndefineException : LispException {}
  public class FunctionIsNotDefinedException : LispException {}
  public class InvalidFunctionException : LispException {}
  public class InvalidLambdaListException : LispException {}
  public class InvalidArgumentException : LispException {}
  public class InvalidArgumentTypeException : InvalidArgumentException {}
  public class InvalidArgumentCountException : InvalidArgumentException {}
}
